Inline class parameter override shown in Ruby hash syntax
Description

Since #11458, overridden smart class parameters with type=hash are showing in the host#edit form in a Ruby-style hash rather than
the YAML or JSON representation. This prevents the host being saved as the syntax isn't understood on save.

Before it showed as a: b and now shows as {"a"=>"b"} in the inline text box.

Related issues:

Related to Foreman - Refactor #11458: Allow overriding parameters inline in h...

Closed 08/24/2015

Associated revisions

Revision 03¢c609eb - 12/04/2015 11:10 AM - Tomer Brisker

Fixes #12642 - Show overriden values before type cast on host edit form

History

#1 - 12/01/2015 06:05 AM - Dominic Cleal

- Related to Refactor #11458: Allow overriding parameters inline in host & hostgroup forms added

#2 - 12/01/2015 10:42 AM - Tomer Brisker
- Assignee set to Tomer Brisker

- Status changed from New to Assigned

#3 - 12/01/2015 10:55 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/2949 added

#4 - 12/04/2015 12:02 PM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 03c609ebcdd85442b7¢c513c76aal158440b089771.
